// @flow
import {
  NativeModules,
} from 'react-native';
import { vsprintf } from 'sprintf-js';

const customLogger = null; // todo: implement android logger: NativeModules.CustomLogger;
if (!customLogger) {
  // console.error('not found customLogger');
}

const loggerWrapper = {};
const logFactory = methodName => function (...params: Array<any>) {
  return;
  const method = customLogger[methodName];
  if (params && params.length) {
    const fmt = params.shift();
    method.apply(method, [vsprintf(fmt, params)]);
  }
};

loggerWrapper.info = logFactory('info');
loggerWrapper.debug = logFactory('debug');
loggerWrapper.warn = logFactory('warn');
loggerWrapper.error = logFactory('error');
loggerWrapper.retrieveLogFiles = null;// todo: implement android logger: customLogger.retrieveLogFiles;

if (process.env.NODE_ENV === 'development') {
  loggerWrapper.info('a int: %d', 123);
  loggerWrapper.info('a float: %f', 123.456);
  loggerWrapper.info('a string: %s', 'hello !!!');
  loggerWrapper.info('a object: %s', { 'numberKey': 1, 'stringKey':'blabla', 'objectKey': { 'hell':'jfoig' }, 'boolKey':true });
}

export default loggerWrapper;
